<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("LibUserID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Session("UserType") = "" Then
        hypManagersMenu.Visible = True
    Else
        hypManagersMenu.Visible = False
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("Provider=sqloledb;" _ 
            & "server=bhv2k;" _
            & "Initial Catalog=INETC5;" _
            & "User Id=sa;" _
            & "Password=bhv;")
        DBCommand = New OleDbDataAdapter _
            ("select LibBookCategoryID, CategoryName " _
            & "from LibCategories Order By CategoryName" _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "Categories")
        ddlCategory.DataSource = _
            DSPageData.Tables("Categories").DefaultView
        ddlCategory.DataBind()
        DBCommand = New OleDbDataAdapter _
            ("select LibBookID, BookTitle " _
            & "from LibBooks Where " _
            & "CheckedOutTo = " & Session("LibUserID") _
            & " Order By BookTitle", DBConn) 
        DBCommand.Fill(DSPageData, _
            "Books")
        If DSPageData.Tables("Books").Rows.Count > 0 Then
            ddlBooks.DataSource = _
                DSPageData.Tables("Books").DefaultView
            ddlBOoks.DataBind()
        Else
            pnlReturn.Visible = False
        End If
    End If
End Sub
Sub Search_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./book_list.aspx?Type=Search&" _
        & "SearchField=" & ddlSearchField.SelectedItem.Value _
        & "&SearchText=" & txtSearchText.Text)
End Sub
Sub Browse_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./book_list.aspx?Type=Browse&" _
        & "LibBookCategoryID=" & ddlCategory.SelectedItem.Value)
End Sub
Sub Return_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    Dim DBUpdate As New OleDbCommand
    DBConn = New OleDbConnection("Provider=sqloledb;" _ 
        & "server=bhv2k;" _
        & "Initial Catalog=INETC5;" _
        & "User Id=sa;" _
        & "Password=bhv;")
    DBUpdate.CommandText = "Update LibBooks set " _
        & "Status = '', CheckedOutTo = 0" _
        & " Where LibBookID = " _
        & ddlBooks.SelectedItem.Value
    DBUpdate.Connection = DBConn
    DBUpdate.Connection.Open
    DBUpdate.ExecuteNonQuery()
    DBCommand = New OleDbDataAdapter _
        ("select LibBookID, BookTitle " _
        & "from LibBooks Where " _
        & "CheckedOutTo = " & Session("LibUserID") _
        & " Order By BookTitle", DBConn) 
    DBCommand.Fill(DSPageData, _
        "Books")
    If DSPageData.Tables("Books").Rows.Count > 0 Then
        ddlBooks.DataSource = _
            DSPageData.Tables("Books").DefaultView
        ddlBOoks.DataBind()
    Else
        pnlReturn.Visible = False
    End If
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE></TITLE>
</HEAD>
<BODY BACKGROUND="./lp.gif" TEXT="darkslateblue" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="140">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    Font-Size="25pt"
    Font-Name="Tahoma"
    Text=" "
    runat="server"
/>
<IMG SRC="./line.gif">
<Font Face="Tahoma">
<BR>
<B>       .</B>
<BR><BR>
<Table>
<TR>
<TD>
<B>  :</B>
</TD>
<TD>
<ASP:DropDownList 
    id="ddlSearchField"
    runat=server>
    <asp:ListItem 
        Value="BookTitle" Selected="True"></asp:ListItem>
    <asp:ListItem Value="Author"></asp:ListItem>
    <asp:ListItem Value="ISBN">ISBN</asp:ListItem>
    <asp:ListItem Value="Keywords"> </asp:ListItem>
    <asp:ListItem Value="Description"></asp:ListItem>
</ASP:DropDownList>
</TD>
</TR>
<TR>
<TD>
<B> :</B>
</TD>
<TD>
<asp:TextBox 
    id="txtSearchText" 
    Columns="25"
    MaxLength="30"
    runat=server 
/>
</TD>
</TR>
<TR>
<TD>
<asp:button 
    id="butSearch"
    text=""
    Type="Submit"
    OnClick="Search_Click" 
    runat="server"
/>
</TD>
</TR>
</Table>
<BR>
<IMG SRC="./line.gif">
<BR>
<B>      .</B>
<BR><BR>
<Table>
<TR>
<TD>
<B>:</B>
</TD>
<TD>
<asp:dropdownlist 
    id="ddlCategory" 
    runat=server
    DataTextField="CategoryName" 
    DataValueField="LibBookCategoryID">
</asp:dropdownlist>
</TD>
</TR>
<TR>
<TD>
<asp:button 
    id="butBrowse"
    text=""
    Type="Submit"
    OnClick="Browse_Click" 
    runat="server"
/>
</TD>
</TR>
</Table>
<asp:Panel 
    id="pnlReturn" 
    runat="server"
>
<BR>
<IMG SRC="./line.gif">
<BR>
<Table>
<TR>
<TD>
<B> :</B>
</TD>
<TD>
<asp:dropdownlist 
    id="ddlBooks" 
    runat=server
    DataTextField="BookTitle" 
    DataValueField="LibBookID">
</asp:dropdownlist>
</TD>
</TR>
<TR>
<TD>
<asp:button 
    id="butRetun"
    text=" "
    Type="Submit"
    OnClick="Return_Click" 
    runat="server"
/>
</TD>
</TR>
</Table>
</asp:Panel>
<BR><BR>
<B>
<asp:HyperLink 
    id="hypManagersMenu"
    runat="server"
    Text=" "
    NavigateUrl="./man_menu.aspx"
/>
</B>
</Font>
</Form>
</BODY>
</HTML>