<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Request.QueryString("TeamID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;" _ 
            & "DATA SOURCE=" _
            & Server.MapPath("/INetBook/C6/" _
            & "Access/C6.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select TeamNickName, TeamCity from Teams " _
            & "Where TeamID = " _
            & Request.QueryString("TeamID"), DBConn)
        DBCommand.Fill(DSPageData, _
            "TeamInfo")
        lblTitle.Text = DSPageData.Tables("TeamInfo"). _
            Rows(0).Item("TeamNickName") & " " _
            & DSPageData.Tables("TeamInfo"). _
            Rows(0).Item("TeamCity")
        DBCommand = New OleDbDataAdapter _
            ("SELECT Format(GameDate, ""d.m.yyyy"") " _
            & "as [], " _
            & "Teams.TeamNickName + ' ' + " _
            & "Teams.TeamCity as [], " _
            & "Games.ScoreTeam1 as [ ], " _
            & "(Select TeamNickName + ' ' + TeamCity " _
            & "from Teams where TeamID = TeamID2) " _
            & " as [], " _
            & "Games.ScoreTeam2  as [  ] " _
            & "FROM Games INNER JOIN " _
            & "Teams ON Games.TeamID1 = Teams.TeamID " _
            & "Where TeamID1 = " _
            & Request.QueryString("TeamID") & " or " _
            & "TeamID2 = " & Request.QueryString("TeamID") _
            , DBConn)
        DBCommand.Fill(DSPageData, _
            "Games")
        dgGames.DataSource = _
            DSPageData.Tables("Games").DefaultView
        dgGames.DataBind()
        DBCommand = New OleDbDataAdapter _
            ("SELECT PlayerID, " _
            & "LastName + ', ' + FirstName as PlayerName " _
            & "From Players Where TeamID = " _
            & Request.QueryString("TeamID") _
            & " Order By LastName", DBConn)
        DBCommand.Fill(DSPageData, _
            "Players")
        ddlPlayers.DataSource = _
            DSPageData.Tables("Players").DefaultView
        ddlPlayers.DataBind()
        DBCommand = New OleDbDataAdapter _
            ("SELECT TeamNewsID, Headline " _
            & "From TeamNews Where TeamID = " _
            & Request.QueryString("TeamID") _
            & " Order By DateEntered DESC", DBConn)
        DBCommand.Fill(DSPageData, _
            "TeamNews")
        ddlTeamNews.DataSource = _
            DSPageData.Tables("TeamNews").DefaultView
        ddlTeamNews.DataBind()
    End If
End Sub
Sub SubmitBtnPlayerInfo_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./player.aspx?PlayerID=" _
        & ddlPlayers.SelectedItem.Value)
End Sub
Sub SubmitBtnTeamNews_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./news.aspx?TeamNewsID=" _
        & ddlTeamNews.SelectedItem.Value)
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE></TITLE>
</HEAD>
<BODY BACKGROUND="./bg.jpg" TEXT="sienna" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="20">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    Font-Size="25pt"
    Font-Name="Tahoma"
    runat="server"
/>
<IMG SRC="./line.gif">
<Font Face="Tahoma">
<BR><BR>
<B>  </B>
<BR>
<ASP:DataGrid 
    id="dgGames" 
    Width="90%"
    BackColor="beige" 
    AlternatingItemStyle-BackColor="cornsilk" 
    BorderColor="black"
    ShowFooter="false" 
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Arial"
    Font-Size="8pt"
    ForeColor="Black"
    HeaderStyle-BackColor="burlywood"
    HeaderStyle-Font-Bold="True"
    runat="server">
</asp:DataGrid>
<BR>
<B></B><BR>
<asp:dropdownlist 
    id="ddlPlayers" 
    runat=server
    DataTextField="PlayerName" 
    DataValueField="PlayerID">
</asp:dropdownlist>
&nbsp&nbsp&nbsp
<asp:button 
    id="butPlayerInfo"
    text="  "
    Type="Submit"
    OnClick="SubmitBtnPlayerInfo_Click" 
    runat="server"
/>
<BR><BR>
<B>  </B><BR>
<asp:dropdownlist 
    id="ddlTeamNews" 
    runat=server
    DataTextField="Headline" 
    DataValueField="TeamNewsID">
</asp:dropdownlist>
&nbsp&nbsp&nbsp
<asp:button 
    id="butTeamNewsInfo"
    text=" "
    Type="Submit"
    OnClick="SubmitBtnTeamNews_Click" 
    runat="server"
/>
<BR>
<BR>
<A HREF="./index.aspx"> </A>
</Font>
</Form>
</BODY>
</HTML>