<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/INetBook/C7/MessageBoard/" _
            & "Access/C7MessageBoard.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("SELECT MessageID, MessageTitle, " _
            & "MessageText From Messages " _
            & "Where MessageID = (Select Min(MessageID) From " _
            & "Messages)", DBConn)
        DBCommand.Fill(DSPageData, _
            "CurrentMessage")
        Session("CurrentMessageID") = _
            DSPageData.Tables("CurrentMessage"). _
            Rows(0).Item("MessageID")
        lblTitle.Text = "  - " _
            & DSPageData.Tables("CurrentMessage"). _
            Rows(0).Item("MessageTitle")
        lblMessage.Text = DSPageData.Tables("CurrentMessage"). _
            Rows(0).Item("MessageText")
        DBCommand = New OleDbDataAdapter _
            ("SELECT MessageID, MessageTitle " _
            & "from Messages " _
            & "Order By MessageTitle", DBConn)
        DBCommand.Fill(DSPageData, _
            "Messages")
        ddlMessages.DataSource = _
            DSPageData.Tables("Messages").DefaultView
        ddlMessages.DataBind()
    End If
End Sub
Sub ViewThread_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/INetBook/C7/MessageBoard/" _
        & "Access/C7MessageBoard.mdb;"))
    DBCommand = New OleDbDataAdapter _
        ("SELECT MessageID, MessageTitle, " _
        & "MessageText From Messages " _
        & "Where MessageID = " _
        & ddlMessages.SelectedItem.Value, DBConn)
    DBCommand.Fill(DSPageData, _
        "CurrentMessage")
    Session("CurrentMessageID") = _
        ddlMessages.SelectedItem.Value
    lblTitle.Text = "  - " _
        & DSPageData.Tables("CurrentMessage"). _
        Rows(0).Item("MessageTitle")
    lblMessage.Text = DSPageData.Tables("CurrentMessage"). _
        Rows(0).Item("MessageText")
End Sub
Sub UpdateThread_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBUpdate As New OleDbCommand
    DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/INetBook/C7/MessageBoard/" _
        & "Access/C7MessageBoard.mdb;"))
    DBUpdate.CommandText = "Update Messages set " _
        & "MessageText = MessageText " _
        & "& '<HR>: " _
        & Replace(txtUpdateName.Text, "'", "''") _
        & "<BR>: " & Now() & "<BR>" _
        & Replace(txtUpdateMessage.Text, "'", "''") _
        & "' Where MessageID = " _
        & Session("CurrentMessageID")
    DBUpdate.Connection = DBConn
    DBUpdate.Connection.Open
    DBUpdate.ExecuteNonQuery()
    lblMessage.Text = lblMessage.Text _
        & "<HR>: " _
        & txtUpdateName.Text _
        & " <BR>: " & Now() & "<BR>" _
        & txtUpdateMessage.Text
    txtUpdateName.Text = ""
    txtUpdateMessage.Text = ""
End Sub
Sub AddThread_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBInsert As New OleDbCommand
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/INetBook/C7/MessageBoard/" _
        & "Access/C7MessageBoard.mdb;"))
    DBInsert.CommandText = "Insert Into Messages " _
        & "(MessageTitle, MessageText) values (" _
        & "'" & Replace(txtAddTitle.Text, "'", "''") _
        & "', ': " _
        & Replace(txtAddName.Text, "'", "''") _
        & "<BR>: " & Now() & "<BR>" _
        & Replace(txtAddMessage.Text, "'", "''") & "')"
    DBInsert.Connection = DBConn
    DBInsert.Connection.Open
    DBInsert.ExecuteNonQuery()
    txtAddTitle.Text = ""
    txtAddName.Text = ""
    txtAddMessage.Text = ""
    DBCommand = New OleDbDataAdapter _
        ("SELECT MessageID, MessageTitle, " _
        & "MessageText From Messages " _
        & "Where MessageID = (Select Max(MessageID) From " _
        & "Messages)", DBConn)
    DBCommand.Fill(DSPageData, _
        "CurrentMessage")
    Session("CurrentMessageID") = _
        DSPageData.Tables("CurrentMessage"). _
        Rows(0).Item("MessageID")
    lblTitle.Text = "  - " _
        & DSPageData.Tables("CurrentMessage"). _
        Rows(0).Item("MessageTitle")
    lblMessage.Text = DSPageData.Tables("CurrentMessage"). _
        Rows(0).Item("MessageText")
    DBCommand = New OleDbDataAdapter _
        ("SELECT MessageID, MessageTitle " _
        & "from Messages " _
        & "Order By MessageTitle", DBConn)
    DBCommand.Fill(DSPageData, _
        "Messages")
    ddlMessages.DataSource = _
        DSPageData.Tables("Messages").DefaultView
    ddlMessages.DataBind()
End Sub
</SCRIPT>
<HEAD>
<TITLE> </TITLE>
</HEAD>
<BODY BACKGROUND="./bg.jpg" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="20">
<form runat="server">
<Font Face="Tahoma">
<asp:Label 
    id="lblTitle" 
    Font-Size="16pt"
    Font-Name="Tahoma"
    Text=" "
    runat="server"
/>
<IMG SRC="./line.gif">
<Font Face="Tahoma" Size="-1">
<BR><BR>
<asp:Label 
    id="lblMessage" 
    Font-Size="10pt"
    Font-Name="Tahoma"
    Font-Bold="True"
    runat="server"
/>
<BR><BR>
<BR>
<B> :</B>
&nbsp&nbsp&nbsp
<asp:dropdownlist 
    id="ddlMessages" 
    runat=server
    DataTextField="MessageTitle" 
    DataValueField="MessageID">
</asp:dropdownlist>
&nbsp&nbsp&nbsp
<asp:button 
    id="butViewThread"
    text=""
    Type="Submit"
    OnClick="ViewThread_Click" 
    runat="server"
/>
<BR><BR>
<IMG SRC="./line.gif">
<BR><BR>
<B>   </B>
<BR><BR>
<B>:</B><BR>
<asp:TextBox 
    id="txtUpdateName" 
    Columns="25"
    MaxLength="50"
    runat=server 
/>
<BR>
<B>:</B>
<BR>
<asp:TextBox 
    id="txtUpdateMessage" 
    Columns="60"
    Rows="3"
    runat=server 
    TextMode="MultiLine"
/>
<BR><BR>
<asp:button 
    id="butUpdateThread"
    text=" "
    Type="Submit"
    OnClick="UpdateThread_Click" 
    runat="server"
/>
<BR><BR>
<IMG SRC="./line.gif">
<BR><BR>
<B>  </B>
<BR><BR>
<B>:</B><BR>
<asp:TextBox 
    id="txtAddName" 
    Columns="25"
    MaxLength="50"
    runat=server 
/>
<BR>
<B>:</B><BR>
<asp:TextBox 
    id="txtAddTitle" 
    Columns="25"
    MaxLength="50"
    runat=server 
/>
<BR><B>:</B>
<BR>
<asp:TextBox 
    id="txtAddMessage" 
    Columns="60"
    Rows="3"
    runat=server 
    TextMode="MultiLine"
/>
<BR><BR>
<asp:button 
    id="butAddThread"
    text=" "
    Type="Submit"
    OnClick="AddThread_Click" 
    runat="server"
/>
</Font>
</Form>
</BODY>
</HTML>
