<%@ Page Culture="en-us" UICulture="en-us" Language=VB EnableSessionState=true Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSQuestion as DataSet
        Dim DBInsert As New OleDbCommand
        Session("CurrentSequenceNumber") = 1
         DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/INetBook/C10/Object/Access/C10Object.mdb;"))
        DBInsert.CommandText = "Insert Into ObjectOrders " _
            & "(DateEntered) values ('" _
            & Now() & "')"
        DBInsert.Connection = DBConn
        DBInsert.Connection.Open
        DBInsert.ExecuteNonQuery()
        DSQuestion = New DataSet()
        DBCommand = New OleDbDataAdapter _
            ("Select Max(ObjectOrderID) as MaxID " _
                & "From ObjectOrders",DBConn)
        DBCommand.Fill(DSQuestion, _
            "CurrentID")
        Session("ObjectOrderID") = _
            DSQuestion.Tables("CurrentID").Rows(0).Item("MaxID")
        DBCommand = New OleDbDataAdapter _
            ("Select ObjectQuestionID, " _
                & "ObjectQuestionText, PicPath, " _
                & "PicAltText from ObjectQuestions " _
                & "Where Sequence = " _
                & Session("CurrentSequenceNumber"),DBConn) 
        DBCommand.Fill(DSQuestion, _
            "CurrentQuestion")
        DBCommand = New OleDbDataAdapter _
            ("Select ChoiceID, ChoiceText " _
                & "From QuestionChoices " _
                & "Where ObjectQuestionID = " _
                & DSQuestion.Tables("CurrentQuestion").Rows(0).Item("ObjectQuestionID") _
                ,DBConn) 
        DBCommand.Fill(DSQuestion, _
            "CurrentResponses")
        lblTitle.BorderWidth = New Unit("7px")
        lblTitle.BorderStyle = 9
        lblTitle.Width = New Unit("90%")
        lblTitle.Font.Size = New FontUnit("25pt")
        lblTitle.Font.Name = "Arial"
        lblTitle.Text = Application("TitleText")
        imgStepPicture.AlternateText = _
            DSQuestion.Tables("CurrentQuestion").Rows(0).Item("PicAltText")
        imgStepPicture.ImageUrl = _
            DSQuestion.Tables("CurrentQuestion").Rows(0).Item("PicPath")
        imgStepPicture.BorderWidth = New Unit("7px")
        lblQuestion.Font.Size = New FontUnit("12pt")
        lblQuestion.Font.Name = "Verdana"
        lblQuestion.Text = _
            DSQuestion.Tables("CurrentQuestion").Rows(0).Item("ObjectQuestionText")
        ddlResponses.DataSource = _
            DSQuestion.Tables("CurrentResponses").DefaultView
        ddlResponses.DataBind()
    End If
End Sub

Sub SubmitBtn_Click(Sender As Object, E As EventArgs)
    Session("CurrentSequenceNumber") = _
        Session("CurrentSequenceNumber") + 1
    Dim DBConn as OleDbConnection
    Dim DBCommand As OleDbDataAdapter
    Dim DSQuestion as DataSet
    Dim DBInsert As New OleDbCommand
     DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/INetBook/C10/Object/Access/C10Object.mdb;"))
    DSQuestion = New DataSet()
    DBCommand = New OleDbDataAdapter _
        ("Select ChoiceText, ChoiceCost " _
        & "From QuestionChoices Where " _
        & "ChoiceID = " _
        & ddlResponses.SelectedItem.Value,DBConn) 
    DBCommand.Fill(DSQuestion, _
        "ChoiceInfo")
    DBInsert.CommandText = "Insert Into OrderChoices " _
            & "(ObjectOrderID, ChoiceID, ChoiceText, ChoiceCost) " _
            & "values (" _
            & Session("ObjectOrderID") & ", " _
            & ddlResponses.SelectedItem.Value & ", '" _
            & DSQuestion.Tables("ChoiceInfo").Rows(0).Item("ChoiceText") _
            & "', " _
            & DSQuestion.Tables("ChoiceInfo").Rows(0).Item("ChoiceCost") _
            & ")"
    DBInsert.Connection = DBConn
    DBInsert.Connection.Open
    DBInsert.ExecuteNonQuery()
    DBCommand = New OleDbDataAdapter _
        ("Select ObjectQuestionID, " _
            & "ObjectQuestionText, PicPath, " _
            & "PicAltText from ObjectQuestions " _
            & "Where Sequence = " _
            & Session("CurrentSequenceNumber"),DBConn) 
    DBCommand.Fill(DSQuestion, _
        "CurrentQuestion")
    If DSQuestion.Tables("CurrentQuestion").Rows.Count = 0 Then
        Response.Redirect("./summary.aspx")
    End If
    DBCommand = New OleDbDataAdapter _
        ("Select ChoiceID, ChoiceText " _
            & "From QuestionChoices " _
            & "Where ObjectQuestionID = " _
            & DSQuestion.Tables("CurrentQuestion").Rows(0).Item("ObjectQuestionID") _
            ,DBConn) 
    DBCommand.Fill(DSQuestion, _
        "CurrentResponses")
    imgStepPicture.AlternateText = _
        DSQuestion.Tables("CurrentQuestion").Rows(0).Item("PicAltText")
    imgStepPicture.ImageUrl = _
        DSQuestion.Tables("CurrentQuestion").Rows(0).Item("PicPath")
    lblQuestion.Text = _
        DSQuestion.Tables("CurrentQuestion").Rows(0).Item("ObjectQuestionText")
    ddlResponses.DataSource = _
        DSQuestion.Tables("CurrentResponses").DefaultView
    ddlResponses.DataBind()
End Sub
</script>
<HTML>
<HEAD>
<META NAME="GENERATOR" Content="NetObjects ScriptBuilder 3.0">
<TITLE> </TITLE>
</HEAD>
<BODY BACKGROUND="./flock.gif" TEXT="black" LINK="darkblue" VLINK="darkviolet" ALINK="red">
<form runat="server">
<CENTER><asp:Label id="lblTitle" runat="server"/></CENTER>
<P></P><CENTER><IMG SRC="./pat_byza.gif"></CENTER>
<P></P>
<CENTER><TABLE BORDER=0 CELLSPACING=10 CELLPADDING=0 Width="90%">
<TR VALIGN="top" ALIGN="left">
<TD><asp:Image id="imgStepPicture" runat="server"/></TD>
<TD><asp:Label id="lblQuestion" runat="server"/><P></P>
<asp:dropdownlist 
    id="ddlResponses" 
    runat=server
    DataTextField="ChoiceText" 
    DataValueField="ChoiceID">
</asp:dropdownlist><P></P>
<asp:button 
    text=""
    Type="Submit"
    OnClick="SubmitBtn_Click" 
    runat="server"
/>                      
<TD>
</TR>
</Table></CENTER>
</FORM>
</BODY>
</HTML>
