<%@ Page  Culture="en-us" UICulture="en-us" Language=VB Debug=true EnableSessionState=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        If Len(Request.QueryString("ProductID")) = 0 Then
            Response.Redirect("./index.aspx")
        End If
        DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/INetBook/C15/" _
            & "Access/C15.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select ProductName, LongDescription, " _
            & "PathToIcon, PathToFull, Price, CategoryName " _
            & "From Products Left Join ProductCategories On " _
            & "Products.ProductCategoryID = " _
            & "ProductCategories.ProductCategoryID Where " _
            & "ProductID = " & Request.QueryString("ProductID") _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "ProductData")
        lblTitle.Text = "<CENTER>" _
            & DSPageData.Tables("ProductData"). _
            Rows(0).Item("ProductName") & "</CENTER>"
        lblCategoryName.Text = ": " _
            & DSPageData.Tables("ProductData"). _
            Rows(0).Item("CategoryName")
        hypIcon.ImageUrl = DSPageData.Tables("ProductData"). _
            Rows(0).Item("PathToIcon")
        hypIcon.NavigateUrl = DSPageData.Tables("ProductData"). _
            Rows(0).Item("PathToFull")
        lblLongDescription.Text = DSPageData.Tables("ProductData"). _
            Rows(0).Item("LongDescription")
        lblPrice.Text = ": " _
            & FormatCurrency(DSPageData.Tables("ProductData"). _
            Rows(0).Item("Price"))
    End If
End Sub
Sub SubmitBtn_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBInsert As New OleDbCommand
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    Dim CurrentQuantity as Integer
    Dim CurrentPrice as Single
    Dim CurrentShipping as Single
    Dim CurrentProductName as String
    DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/INetBook/C15/" _
        & "Access/C15.mdb;"))
    DBInsert.Connection = DBConn
    DBInsert.Connection.Open
    If Len(Session("CustomerID")) = 0 Then    
        DBInsert.CommandText = "Insert Into Customers " _
            & "(Status, DateEntered) values ('Shopping', '" _
            & Now() & "')"
        DBInsert.ExecuteNonQuery()
        DBCommand = New OleDbDataAdapter _
            ("Select Max(CustomerID) as MaxID " _
            & "From Customers", DBConn) 
        DBCommand.Fill(DSPageData, _
            "CustomerID")
        Session("CustomerID") = DSPageData.Tables("CustomerID"). _
            Rows(0).Item("MaxID")
    End If
    DBCommand = New OleDbDataAdapter _
        ("Select ProductName, ShippingCharge, " _
        & "Price From Products Where " _
        & "ProductID = " & Request.QueryString("ProductID") _
        , DBConn) 
    DBCommand.Fill(DSPageData, _
        "ProductData")
    CurrentQuantity = txtQuantity.Text
    CurrentPrice = CurrentQuantity * _
        DSPageData.Tables("ProductData"). _
        Rows(0).Item("Price")
    CurrentShipping = CurrentQuantity * _
        DSPageData.Tables("ProductData"). _
        Rows(0).Item("ShippingCharge")
    CurrentProductName = DSPageData.Tables("ProductData"). _
        Rows(0).Item("ProductName")
    DBInsert.CommandText = "Insert Into ShoppingCartItems " _
        & "(CustomerID, ProductName, Quantity, Price, Shipping) " _
        & "values (" _
        & Session("CustomerID") & ", " _
        & "'" & CurrentProductName & "', " _
        & CurrentQuantity & ", " _
        & CurrentPrice & ", " _
        & CurrentShipping & ")"
    DBInsert.ExecuteNonQuery()
    Response.Redirect("./shopping_cart.aspx")
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE> </TITLE>
</HEAD>
<BODY BACKGROUND="./storebg.jpg" TEXT="black" LINK="darkblue" VLINK="darkblue" ALINK="red" LEFTMARGIN="40">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=7
    Width="90%"
    Font-Size="25pt"
    Font-Name="Arial"
    runat="server"
/>
<Font Face="Arial">
<Table Width="90%" BGColor="cornsilk">
<TR>
<TD><A HREF="./index.aspx"><B></B></A></TD>
<TD><A HREF="./shopping_cart.aspx"><CENTER><B> </B></CENTER></A></TD>
<TD><A HREF="./Check_Out.aspx"><P ALIGN=RIGHT><B> </B></P></A></TD>
</TR>
</Table>
<BR>
<asp:HyperLink 
    id="hypIcon"
    runat="server"
    Text="   "
    BorderWidth="7px"
    BorderStyle=7
/>
<BR><BR>
<asp:Label 
    id="lblCategoryName" 
    Font-Bold="True"
    runat="server"
/>
<BR><BR>
<asp:Label 
    id="lblLongDescription" 
    Font-Bold="True"
    Width="90%"
    runat="server"
/>
<BR><BR>
<asp:Label 
    id="lblPrice" 
    Font-Bold="True"
    runat="server"
/>
<BR>
<B>:&nbsp&nbsp</B>
<asp:TextBox 
    id="txtQuantity" 
    Columns="25"
    MaxLength="30"
    runat=server 
/>
<asp:RequiredFieldValidator 
    id="rfvQuantity"
    ControlToValidate="txtQuantity"
    Display="Dynamic"
    Font-Name="Verdana"
    Font-Bold="True"
    Font-Size="10pt"
    runat=server>
         !
</asp:RequiredFieldValidator>
<asp:RangeValidator 
    id="rngQuantity" 
    ControlToValidate="txtQuantity" 
    Type="Integer" 
    MinimumValue=1
    MaximumValue=30 
    Display="Dynamic"
    Font-Name="Verdana"
    Font-Bold="True"
    Font-Size="10pt"
    runat="server">
            1  30!
</asp:RangeValidator>
<BR><BR>
<asp:button 
    id="butOK"
    text="  OK  "
    Type="Submit"
    OnClick="SubmitBtn_Click" 
    runat="server"
/>
</Font>
</Form>
</BODY>
</HTML>
