<%@ Page Culture="en-us" UICulture="en-us" Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("BidderID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Len(Request.QueryString("AuctionItemID")) = 0 Then
        Response.Redirect("./auction_list.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("Provider=sqloledb;" _ 
            & "server=bhv2k;" _
            & "Initial Catalog=INETC16;" _
            & "User Id=sa;" _
            & "Password=bhv;")
        DBCommand = New OleDbDataAdapter _
            ("Select ItemName, MinimumBid, OpenDate, " _
            & "CloseDate, BidIncrement, FullDescription " _
            & "From AuctionItems Where AuctionItemID = " _
            & Request.QueryString("AuctionItemID"), DBConn) 
        DBCommand.Fill(DSPageData, _
            "AuctionItem")
        lblTitle.Text = "<CENTER>" _
            & DSPageData.Tables("AuctionItem"). _
            Rows(0).Item("ItemName") & "</Center>"
        lblFullInfo.Text = "<I> : </I>" _
            & DSPageData.Tables("AuctionItem"). _
            Rows(0).Item("OpenDate") & "<BR><BR>" _
            & "<I> : </I>" _
            & DSPageData.Tables("AuctionItem"). _
            Rows(0).Item("CloseDate") & "<BR><BR>" _
            & "<I> : </I>" _
            & FormatCurrency(DSPageData.Tables("AuctionItem"). _
            Rows(0).Item("MinimumBid")) & "<BR><BR>" _
            & "<I> : </I>" _
            & FormatCurrency(DSPageData.Tables("AuctionItem"). _
            Rows(0).Item("BidIncrement")) & "<BR><BR>" _
            & "<I>: </I>" _
            & DSPageData.Tables("AuctionItem"). _
            Rows(0).Item("FullDescription") & "<BR><BR>"
        DBCommand = New OleDbDataAdapter _
            ("Select BidderName as [], " _
            & "Convert(varchar(30), WhenPlaced, 100) " _
            & "as [ ], " _
            & "'$' + Convert(varchar(30), BidAmount, 1) " _
            & "as [ ] " _
            & "From AuctionItemBids " _
            & "Inner Join Bidders On AuctionItemBids.BidderID = " _
            & "Bidders.BidderID Where AuctionItemID = " _
            & Request.QueryString("AuctionItemID") _
            & " Order By WhenPlaced", DBConn) 
        DBCommand.Fill(DSPageData, _
            "BidData")
        dgBids.DataSource = _
            DSPageData.Tables("BidData").DefaultView
        dgBids.DataBind
        DBCommand = New OleDbDataAdapter _
            ("Select Max(BidAmount) as MaxBid " _
            & "From AuctionItemBids " _
            & "Where AuctionItemID = " _
            & Request.QueryString("AuctionItemID") _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "CurrentBid")
        If IsNumeric(DSPageData.Tables("CurrentBid"). _
            Rows(0).Item("MaxBid")) Then
            txtBidAmount.Text = DSPageData.Tables("AuctionItem"). _
                Rows(0).Item("BidIncrement") + _
                DSPageData.Tables("CurrentBid"). _
                Rows(0).Item("MaxBid")
        Else
            txtBidAmount.Text = DSPageData.Tables("AuctionItem"). _
                Rows(0).Item("MinimumBid")
        End If
        rngBidAmount.MinimumValue = txtBidAmount.Text
    End If
End Sub
Sub Sort_Grid(ByVal Sender as Object, _
    ByVal E as DataGridSortCommandEventArgs)
    Dim DBConn as OleDbConnection
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    Dim SortField as String
    If E.SortExpression.ToString() = "" Then
        SortField = "BidderName"
    ElseIf E.SortExpression.ToString() = " " Then
        SortField = "WhenPlaced"
    Else
        SortField = "BidAmount"    
    End If
    DBConn = New OleDbConnection("Provider=sqloledb;" _ 
        & "server=bhv2k;" _
        & "Initial Catalog=INETC16;" _
        & "User Id=sa;" _
        & "Password=bhv;")
        DBCommand = New OleDbDataAdapter _
            ("Select BidderName as [], " _
            & "Convert(varchar(30), WhenPlaced, 100) " _
            & "as [ ], " _
            & "'$' + Convert(varchar(30), BidAmount, 1) " _
            & "as [ ] " _
            & "From AuctionItemBids " _
            & "Inner Join Bidders On AuctionItemBids.BidderID = " _
            & "Bidders.BidderID Where AuctionItemID = " _
            & Request.QueryString("AuctionItemID") _
            & " Order By " & SortField, DBConn) 
        DBCommand.Fill(DSPageData, _
            "BidData")
        dgBids.DataSource = _
            DSPageData.Tables("BidData").DefaultView
        dgBids.DataBind
End Sub
Sub SubmitBtn_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    Dim DBInsert As New OleDbCommand
    DBConn = New OleDbConnection("Provider=sqloledb;" _ 
        & "server=bhv2k;" _
        & "Initial Catalog=INETC16;" _
        & "User Id=sa;" _
        & "Password=bhv;")
    DBInsert.CommandText = "Insert Into AuctionItemBids " _
        & "(AuctionItemID, BidderID, BidAmount, WhenPlaced) " _
        & "values (" _
        & Request.QueryString("AuctionItemID") & ", " _
        & Session("BidderID") & ", " _
        & txtBidAmount.Text & ", " _
        & "'" & Now() & "')"
    DBInsert.Connection = DBConn
    DBInsert.Connection.Open
    DBInsert.ExecuteNonQuery()
    DBCommand = New OleDbDataAdapter _
        ("Select ItemName, MinimumBid, OpenDate, " _
        & "CloseDate, BidIncrement, FullDescription " _
        & "From AuctionItems Where AuctionItemID = " _
        & Request.QueryString("AuctionItemID"), DBConn) 
    DBCommand.Fill(DSPageData, _
        "AuctionItem")
    lblTitle.Text = "<CENTER>" _
        & DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("ItemName") & "</Center>"
    lblFullInfo.Text = "<I>  : </I>" _
        & DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("OpenDate") & "<BR><BR>" _
        & "<I>  : </I>" _
        & DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("CloseDate") & "<BR><BR>" _
        & "<I> : </I>" _
        & FormatCurrency(DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("MinimumBid")) & "<BR><BR>" _
        & "<I> : </I>" _
        & FormatCurrency(DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("BidIncrement")) & "<BR><BR>" _
        & "<I>: </I>" _
        & DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("FullDescription") & "<BR><BR>"
    DBCommand = New OleDbDataAdapter _
        ("Select BidderName as [], " _
        & "Convert(varchar(30), WhenPlaced, 100) " _
        & "as [ ], " _
        & "'$' + Convert(varchar(30), BidAmount, 1) " _
        & "as [ ] " _
        & "From AuctionItemBids " _
        & "Inner Join Bidders On AuctionItemBids.BidderID = " _
        & "Bidders.BidderID Where AuctionItemID = " _
        & Request.QueryString("AuctionItemID") _
        & " Order By WhenPlaced", DBConn) 
    DBCommand.Fill(DSPageData, _
        "BidData")
    dgBids.DataSource = _
        DSPageData.Tables("BidData").DefaultView
    dgBids.DataBind
    DBCommand = New OleDbDataAdapter _
        ("Select Max(BidAmount) as MaxBid " _
        & "From AuctionItemBids " _
        & "Where AuctionItemID = " _
        & Request.QueryString("AuctionItemID") _
        , DBConn) 
    DBCommand.Fill(DSPageData, _
        "CurrentBid")
    txtBidAmount.Text = DSPageData.Tables("AuctionItem"). _
        Rows(0).Item("BidIncrement") + _
        DSPageData.Tables("CurrentBid"). _
        Rows(0).Item("MaxBid")
    rngBidAmount.MinimumValue = txtBidAmount.Text
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE></TITLE>
</HEAD>
<BODY BACKGROUND="./auctionbg.jpg" TEXT="black" LINK="darkblue" VLINK="darkblue" ALINK="red" LEFTMARGIN="40">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=7
    Width="90%"
    Font-Size="25pt"
    Font-Name="Arial"
    runat="server"
/>
<Font Face="Arial">
<BR><BR>
<asp:Label 
    id="lblFullInfo" 
    Font-Bold="True"
    Width="90%"
    runat="server"
/>
<ASP:DataGrid 
    id="dgBids" 
    Width="90%"
    BackColor="beige" 
    AlternatingItemStyle-BackColor="cornsilk" 
    BorderColor="black"
    ShowFooter="false" 
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Arial"
    Font-Size="8pt"
    ForeColor="Black"
    HeaderStyle-BackColor="burlywood"
    HeaderStyle-Font-Bold="True"
    AllowSorting="true"
    OnSortCommand="Sort_Grid"
    runat="server">
</asp:DataGrid>
<BR><BR>
<B> :&nbsp&nbsp</B>
<asp:TextBox 
    id="txtBidAmount" 
    Columns="20"
    MaxLength="50"
    runat=server 
/>
&nbsp&nbsp
<asp:button 
    id="butOK"
    text="  OK  "
    Type="Submit"
    OnClick="SubmitBtn_Click" 
    runat="server"
/>
<BR>
<asp:RangeValidator 
    id="rngBidAmount" 
    ControlToValidate="txtBidAmount" 
    Type="Currency"
    MaximumValue="1000000000"
    MinimumValue="0"
    Display="Dynamic"
    Font-Name="Arial"
    Font-Size="10pt"
    runat="server">
      !
</asp:RangeValidator>
<asp:RequiredFieldValidator 
    id="rfvBidAmount"
    ControlToValidate="txtBidAmount"
    Display="Dynamic"
    Font-Name="Arial"
    Font-Size="10pt"
    runat=server>
       !
</asp:RequiredFieldValidator>
</Font>
</Form>
</BODY>
</HTML>
