<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("StudentID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Len(Session("CourseID")) = 0 Then
        Response.Redirect("./home_room.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("C9OnlineCampus.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select CourseName from Courses Where " _
            & "CourseID = " & Session("CourseID") _
            , DBConn)
        DBCommand.Fill(DSPageData, _
            "CourseName")
        lblTitle.Text = "<CENTER> " _
            & DSPageData.Tables("CourseName"). _
            Rows(0).Item("CourseName") _
            & "</CENTER>"
        DBCommand = New OleDbDataAdapter _
            ("Select CourseSectionID, SectionName from " _
            & "CourseSections Where " _
            & "CourseID = " & Session("CourseID") _
            , DBConn)
        DBCommand.Fill(DSPageData, _
            "CourseSections")
        ddlSections1.DataSource = _
            DSPageData.Tables("CourseSections").DefaultView
        ddlSections1.DataBind()
        ddlSections2.DataSource = _
            DSPageData.Tables("CourseSections").DefaultView
        ddlSections2.DataBind()
        DBCommand = New OleDbDataAdapter _
            ("Select SectionName as [], Score as [], " _
            & "TotalQuestions as [ ], " _
            & "Format(DateTaken,""dd mmm, yyyy"") " _
            & "as [] From CourseSections " _
            & "Inner Join QuizResults On " _
            & "QuizResults.CourseSectionID = " _
            & "CourseSections.CourseSectionID Where StudentID = " _
            & Session("StudentID") & " And " _
            & "QuizResults.CourseSectionID In ((" _
            & "Select CourseSectionID from CourseSections where " _
            & "CourseID = " & Session("CourseID") & "))" _
            , DBConn)
        DBCommand.Fill(DSPageData, _
            "QuizResults")
        dgQuizResults.DataSource = _
            DSPageData.Tables("QuizResults").DefaultView
        dgQuizResults.DataBind()
    End If
End Sub
Sub SubmitBtnContent_Click(Sender As Object, E As EventArgs)
    Session("CourseSectionID") = ddlSections1.SelectedItem.Value
    Response.Redirect("./course_content.aspx")
End Sub
Sub SubmitBtnQuiz_Click(Sender As Object, E As EventArgs)
    Session("CourseSectionID") = ddlSections2.SelectedItem.Value
    Response.Redirect("./course_quiz.aspx")
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE> </TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40">
<form runat="server">
<Font Face="Tahoma">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=7
    Width="90%"
    Font-Size="25pt"
    Font-Name="Tahoma"
    runat="server"
/>
<BR><BR>
<IMG SRC="./bar7.gif">
<BR><BR>
<B>:</B>
<BR>
<asp:dropdownlist 
    id="ddlSections1" 
    runat=server
    DataTextField="SectionName" 
    DataValueField="CourseSectionID">
</asp:dropdownlist>
&nbsp&nbsp&nbsp
<asp:button 
    id="butOKContent"
    text="  OK  "
    Type="Submit"
    OnClick="SubmitBtnContent_Click" 
    runat="server"
/>
<BR><BR>
<B>:</B>
<BR>
<asp:dropdownlist 
    id="ddlSections2" 
    runat=server
    DataTextField="SectionName" 
    DataValueField="CourseSectionID">
</asp:dropdownlist>
&nbsp&nbsp&nbsp
<asp:button 
    id="butOKQuiz"
    text="  OK  "
    Type="Submit"
    OnClick="SubmitBtnQuiz_Click" 
    runat="server"
/>
<BR><BR>
<B> :</B>
<BR>
<ASP:DataGrid id="dgQuizResults" runat="server"
    Width="90%"
    BackColor="beige" 
    AlternatingItemStyle-BackColor="cornsilk" 
    BorderColor="black"
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Trebuchet MS"
    Font-Size="8pt"
    ForeColor="Black"
    HeaderStyle-BackColor="burlywood"
    HeaderStyle-Font-Bold="True"
/>
<BR><BR>
<A HREF="./home_room.aspx"><B> </B></A>
</Font>
</Form>
</BODY>
</HTML>    